Bug 190366 - gnome-database-properties crashes on creating a new DS
gnome-database-properties crashes on creating a new DS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libgnomedb (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-01 13:09 EDT by Zoltan Boszormenyi
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 16:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zoltan Boszormenyi 2006-05-01 13:09:35 EDT
Description of problem:

Creating a new data source crashes.

Version-Release number of selected component (if applicable):

libgnomedb-1.9.100-6.fc5.x86_64

How reproducible:

always

Steps to Reproduce:
1. Data source -> New menu, press Next
2. Fill at least the new DS name, select PostgreSQL, MySQL, or SQLite provider.
3. Press Next
  
Actual results:

Segmentation fault.

Expected results:

It should go to next page in the wizard.

Additional info:

Selecting Berkeley DB, LDAP or ODBC provider doesn't make it crash.
Comment 1 Hans de Goede 2006-05-01 14:29:23 EDT
Works fine for me on i386 devel branch, I'll try at home on my x86_64, to see if
its a 64 bit problem.
Comment 2 Hans de Goede 2006-05-01 16:34:32 EDT
I can reproduce this on x86_64 I'll look into it.
Comment 3 Hans de Goede 2006-05-04 16:57:21 EDT
I've found and fixed a number of 64 bit bugs in libgda and libgnomedb as a
result of this, this bug no longer happens.

libgda-1.9.100-5 and libgnomedb-1.9.100-7 should show up on a mirror near you
within the next couple of days fixing this.


Note You need to log in before you can comment on or make changes to this bug.